# norootforbuild

%define _prefix	/usr

Name:			openjpeg
Version:		1.3
Release:		3.2
Summary:		OpenJPEG command line tools
Group:			Productivity/Graphics/Convertors
License:		BSD
URL:			http://www.openjpeg.org/
Source0:		http://www.openjpeg.org/%{name}_v1_3.tar.gz
Patch1:			%{name}-20070717svn-codec-libtiff.patch
Patch4:			%{name}-svn480-cmake.patch
Patch5:			%{name}-svn480-use-stdbool.patch
Patch6:			%{name}-1.3-tcd_init_encode-alloc-fix.patch
Patch7:			%{name}-1.3-reverse-bogus-aligned-malloc.patch
Patch44:		%{name}-svn468-mj2-noscroll.patch
Patch21:		%{name}-20070717svn-mqc-optimize.patch
Patch22:		%{name}-20070821svn-t1-remove-macro.patch
Patch23:		%{name}-20070719svn-t1-x86_64-flags-branchless.patch
Patch24:		%{name}-20070719svn-t1-t1_dec_sigpass_step-optimize.patch
Patch25:		%{name}-20070821svn-t1-flags-stride.patch
Patch26:		%{name}-20070821svn-t1-updateflags-x86_64.patch
Patch27:		%{name}-svn470-t1-flags-mmx.patch
Patch28:		%{name}-20070719svn-mqc-more-optimize.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	cmake
BuildRequires:	libtiff-devel

%description
OpenJPEG is an open-source JPEG 2000 codec written in C language.

It has been developed in order to promote the use of JPEG 2000,
the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%debug_package

%package -n libopenjpeg2
Summary:	JPEG 2000 codec library
Group:		System/Libraries

%description -n libopenjpeg2
The openjpeg-libs package contains runtime libraries for applications
that use OpenJPEG.

%package -n libopenjpeg-devel
Summary:	Development files for openjpeg
Group:		Development/Libraries/C and C++
Requires:	libopenjpeg2 = %{version}
Requires:	libtiff-devel

%description -n libopenjpeg-devel
The openjpeg-devel package contains libraries and header files for
developing applications that use OpenJPEG.

%prep
%setup -q -n OpenJPEG_v1_3
# Windows stuff, delete it, it slows down patch making
%__rm -rf jp3d

# Make sure we use system libraries
%__rm -rf libs
%patch1 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch44 -p1
%patch22 -p1
%patch23 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch24 -p1
%patch21 -p1
%patch28 -p1

%__chmod 644 ChangeLog license.txt

%build
%__install -dm 755 build

pushd build
	CFLAGS="%{optflags} -O3"
	cmake .. \
		-DBUILD_EXAMPLES:BOOL=ON \
		-DBUILD_SHARED_LIBS:BOOL=ON \
		-DCMAKE_INSTALL_LIBDIR=%{_lib} \
		-DINCLUDE_INSTALL_DIR=%{_includedir} \
		-DCMAKE_INSTALL_PREFIX:STRING=%{_prefix}

	%__make %{?jobs:-j%{jobs}} \
		VERBOSE=0
popd

%install
pushd build
	%__make DESTDIR=%{buildroot} install
popd

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -n libopenjpeg2 -p /sbin/ldconfig

%postun -n libopenjpeg2 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog license.txt
%{_bindir}/extract_j2k_from_mj2
%{_bindir}/frames_to_mj2
%{_bindir}/image_to_j2k
%{_bindir}/j2k_to_image
%{_bindir}/mj2_to_frames
%{_bindir}/wrap_j2k_in_mj2

%files -n libopenjpeg2
%defattr(-,root,root,-)
%{_libdir}/libopenjpeg.so.*

%files -n libopenjpeg-devel
%defattr(-,root,root,-)
%dir %{_includedir}/openjpeg
%{_includedir}/openjpeg/*
#%{_libdir}/libopenjpeg.a
%{_libdir}/libopenjpeg.so

%changelog
* Tue May 25 2010 Carsten Schoene <cs@linux-administrator.com>  1.3-2
- initial import to BS
